Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.concurrent
Class NullConcurrentSessionController

    java.lang.Object
      org.acegisecurity.concurrent.NullConcurrentSessionController

All Implemented Interfaces:
  ConcurrentSessionController

    public class NullConcurrentSessionController

extends Object
implements ConcurrentSessionController

No-op implementation of `ConcurrentSessionController`.

Version:
  $Id: NullConcurrentSessionController.java,v 1.2 2005/11/17 00:55:56 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`NullConcurrentSessionController()`

Method Summary
`void` | `checkAuthenticationAllowed(Authentication request)` Called by any class that wishes to know whether the current authentication request should be permitted.
`void` | `registerSuccessfulAuthentication(Authentication authentication)` Called by an `AuthenticationManager` when the authentication was successful.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullConcurrentSessionController

    public NullConcurrentSessionController()

Method Detail

### checkAuthenticationAllowed

    public void checkAuthenticationAllowed(Authentication request)
                                    throws AuthenticationException

  Description copied from interface: `ConcurrentSessionController`
  Called by any class that wishes to know whether the current authentication request should be permitted. Generally callers will be `AuthenticationManager`s before they authenticate, but could equally include `Filter`s or other interceptors that wish to confirm the ongoing validity of a previously authenticated `Authentication`.

  The implementation should throw a suitable exception if the user has exceeded their maximum allowed concurrent sessions.

  Specified by:
    `checkAuthenticationAllowed` in interface `ConcurrentSessionController`
  Parameters:
    `request` - the authentication request (never `null`)
  Throws:
    `AuthenticationException` - if the user has exceeded their maximum allowed current sessions

### registerSuccessfulAuthentication

    public void registerSuccessfulAuthentication(Authentication authentication)

  Description copied from interface: `ConcurrentSessionController`
  Called by an `AuthenticationManager` when the authentication was successful. An implementation is expected to register the authenticated user in some sort of registry, for future concurrent tracking via the `#checkConcurrentAuthentication(Authentication)` method.

  Specified by:
    `registerSuccessfulAuthentication` in interface `ConcurrentSessionController`
  Parameters:
    `authentication` - the successfully authenticated user (never `null`)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.